Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: auth::LdapManager::ServerSettings Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
auth::LdapManager::ServerSettings Struct Reference

Server settings. More...

`import <LdapManager.idl;`

## Public Attributes
string | server
| IP or name of ldap server.
ServerType | type
| Type of LDAP server.
SecurityProtocol | secProto
| Security protocol.
int | port
| Server port (only for SEC_PROT_NONE and SEC_PROT_STARTTLS)
int | sslPort
| SSL port (only for SEC_PROT_SSL)
boolean | forceTrustedCert
| Enforce trusted certificates.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid certificates
string | certificate
| Certificates.
string | adsDomain
| ADS domain.
boolean | useAnonymousBind
| use anonymous bind
string | bindDN
| Bind DN.
string | bindPwd
| Bind password.
string | searchBaseDN
| Base DN for search.
string | loginNameAttr
| Login name attribute.
string | userEntryObjClass
| User entry object class.
string | userSearchFilter
| User search subfilter.
boolean | groupInfoInUserEntry
| Group membership info in user entry.
boolean | supportNestedGroups
| Support nested groups (only if groupInfoInUserEntry is `true`)
string | groupMemberAttr
| Group member attribute.
string | groupEntryObjClass
| Group entry object class.
string | groupSearchFilter
| Group search subfilter.

## Detailed Description

Server settings.

Definition at line 26 of file LdapManager.idl.

## Member Data Documentation

## ◆ adsDomain

string auth::LdapManager::ServerSettings::adsDomain

ADS domain.

Definition at line 35 of file LdapManager.idl.

## ◆ allowOffTimeRangeCerts

boolean auth::LdapManager::ServerSettings::allowOffTimeRangeCerts

allow expired and not yet valid certificates

Definition at line 33 of file LdapManager.idl.

## ◆ bindDN

string auth::LdapManager::ServerSettings::bindDN

Bind DN.

Definition at line 37 of file LdapManager.idl.

## ◆ bindPwd

string auth::LdapManager::ServerSettings::bindPwd

Bind password.

Definition at line 38 of file LdapManager.idl.

## ◆ certificate

string auth::LdapManager::ServerSettings::certificate

Certificates.

Definition at line 34 of file LdapManager.idl.

## ◆ forceTrustedCert

boolean auth::LdapManager::ServerSettings::forceTrustedCert

Enforce trusted certificates.

Definition at line 32 of file LdapManager.idl.

## ◆ groupEntryObjClass

string auth::LdapManager::ServerSettings::groupEntryObjClass

Group entry object class.

Definition at line 46 of file LdapManager.idl.

## ◆ groupInfoInUserEntry

boolean auth::LdapManager::ServerSettings::groupInfoInUserEntry

Group membership info in user entry.

Definition at line 43 of file LdapManager.idl.

## ◆ groupMemberAttr

string auth::LdapManager::ServerSettings::groupMemberAttr

Group member attribute.

Definition at line 45 of file LdapManager.idl.

## ◆ groupSearchFilter

string auth::LdapManager::ServerSettings::groupSearchFilter

Group search subfilter.

Definition at line 47 of file LdapManager.idl.

## ◆ loginNameAttr

string auth::LdapManager::ServerSettings::loginNameAttr

Login name attribute.

Definition at line 40 of file LdapManager.idl.

## ◆ port

int auth::LdapManager::ServerSettings::port

Server port (only for SEC_PROT_NONE and SEC_PROT_STARTTLS)

Definition at line 30 of file LdapManager.idl.

## ◆ searchBaseDN

string auth::LdapManager::ServerSettings::searchBaseDN

Base DN for search.

Definition at line 39 of file LdapManager.idl.

## ◆ secProto

SecurityProtocol auth::LdapManager::ServerSettings::secProto

Security protocol.

Definition at line 29 of file LdapManager.idl.

## ◆ server

string auth::LdapManager::ServerSettings::server

IP or name of ldap server.

Definition at line 27 of file LdapManager.idl.

## ◆ sslPort

int auth::LdapManager::ServerSettings::sslPort

SSL port (only for SEC_PROT_SSL)

Definition at line 31 of file LdapManager.idl.

## ◆ supportNestedGroups

boolean auth::LdapManager::ServerSettings::supportNestedGroups

Support nested groups (only if groupInfoInUserEntry is `true`)

Definition at line 44 of file LdapManager.idl.

## ◆ type

ServerType auth::LdapManager::ServerSettings::type

Type of LDAP server.

Definition at line 28 of file LdapManager.idl.

## ◆ useAnonymousBind

boolean auth::LdapManager::ServerSettings::useAnonymousBind

use anonymous bind

Definition at line 36 of file LdapManager.idl.

## ◆ userEntryObjClass

string auth::LdapManager::ServerSettings::userEntryObjClass

User entry object class.

Definition at line 41 of file LdapManager.idl.

## ◆ userSearchFilter

string auth::LdapManager::ServerSettings::userSearchFilter

User search subfilter.

Definition at line 42 of file LdapManager.idl.

The documentation for this struct was generated from the following file:

- LdapManager.idl